----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Micâh - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

local DF = DOF_namespace
local _

function DF:range_isInRange()

	local unit = "target"
	local compareUnit = "player"
	local name
	
	if not UnitExists(unit) or not UnitIsVisible(unit) or UnitIsDead(unit) or (UnitReaction(unit, compareUnit)==4)then
		return 0
	end

	if UnitIsFriend("player", compareUnit) then
		name=GetSpellInfo(DOF_config.range.range1)	
  else
		name=GetSpellInfo(DOF_config.range.range2)	
  end
  if not name then return 0 end

	if IsSpellInRange(name, unit)==1 then
 		return 1
 	else
 		return 2
 	end		
   	
	return 0
	
end

